<?php 
$form_name = "User Master";
$table_name = "lime_users";
$primary_key = "usr_id";

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
	
include_once("includes/config.php");
include_once("includes/common_functions.php");

$common = new General_Functions();
$css_class = "x-gray";
// $common->SetCssClass($css_class);

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
$act_type = isset($_REQUEST['act_type']) ? $_REQUEST['act_type'] : "";
$cancel_link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
$action = $_SERVER['SCRIPT_NAME']."?page=".$_REQUEST['page']."&mode=submit";

switch($mode)
{
	default:
		$query = "SELECT * FROM ".$table_name;
		$common->sql->query($query, SQL_ALL, SQL_ASSOC);
		$rec = $common->sql->record;
		?>
			<link rel="stylesheet" href="includes/media/css/demo_page.css" type="text/css" />
			<link rel="stylesheet" href="includes/media/css/demo_table.css" type="text/css" />
			<script type="text/javascript" language="javascript" src="includes/media/js/jquery.js"></script>
			<script type="text/javascript" language="javascript" src="includes/media/js/jquery.dataTables.js"></script>
			<script type="text/javascript" charset="utf-8">
			var asInitVals = new Array();
			
			$(document).ready(function() {
				var oTable = $('#example').dataTable( {
					"bJQueryUI": true,
					"sPaginationType": "full_numbers",
				} );
				
				$("thead input").keyup( function () {
					oTable.fnFilter( this.value, $("thead input").index(this) );
				} );
				
				$("thead input").each( function (i) {
					asInitVals[i] = this.value;
				} );
				
				$("thead input").focus( function () {
					if ( this.className == "search_init" )
					{
						this.className = "";
						this.value = "";
					}
				} );
				
				$("thead input").blur( function (i) {
					if ( this.value == "" )
					{
						this.className = "search_init";
						this.value = asInitVals[$("thead input").index(this)];
					}
				} );
				
				$(".fg-toolbar").height(40);
				$(".dataTables_length").hide();
				$(".dataTables_filter").hide();
				$("#example_info").hide();
				
				$('#example tbody tr').live('click', function () {
					var frmval = new Array();
					var nTds = $('td', this);
					var row = $(nTds[0]).text();
					
					j = row;
					usr_id = '#usr_id_'+j;
					users_name = '#users_name_'+j;
					password = '#password_'+j;
					full_name = '#full_name_'+j;
					email = '#email_'+j;
					status = '#status_'+j;
					frmval["usr_id"] = $(usr_id).val();
					frmval["users_name"] = $(users_name).val();
					frmval["password"] = $(password).val();
					frmval["full_name"] = $(full_name).val();
					frmval["email"] = $(email).val();
					frmval["status"] = $(status).val();
                                        
					parent.frm_edit_val(frmval);
				});
			} );
		</script>
        <br /><br />
        <div id="demo" style="width: 95%; margin: 0 auto;">
            <form name="view" method="post">
                <table cellpadding="0" cellspacing="0" border="0" class="display" id="example" width="100%">
                    <thead>
                        <tr>
                            <th style="display: none;">&nbsp;</th>
                            <th>Name</th>
                            <th>User Name</th>
                            <th>Email</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $part_id = "";
                            
                            for($i=0; $i<count($rec); $i++)
                            {
                                echo '<tr>
                                        <td style="display: none;">'.$i.'</td>
                                        <td>
                                            '.$rec[$i]['full_name'].'
                                            <input type="hidden" name="usr_id" id="usr_id_'.$i.'" value="'.$rec[$i]['usr_id'].'" />
                                            <input type="hidden" name="users_name" id="users_name_'.$i.'" value="'.$rec[$i]['users_name'].'" />
                                            <input type="hidden" name="password" id="password_'.$i.'" value="'.$rec[$i]['password'].'" />
                                            <input type="hidden" name="full_name" id="full_name_'.$i.'" value="'.$rec[$i]['full_name'].'" />
                                            <input type="hidden" name="email" id="email_'.$i.'" value="'.$rec[$i]['email'].'" />
                                            <input type="hidden" name="status" id="status_'.$i.'" value="'.$rec[$i]['status'].'" />
                                        </td>
                                        <td>'.$rec[$i]['users_name'].'</td>
                                        <td>'.$rec[$i]['email'].'</td>
                                    </tr>';
                            }
                        ?>
                    </tbody>
                    <thead>
                        <tr>
                            <th style="display: none;"><input type="text" name="search_engine" value="Search Name" class="search_init" /></th>
                            <th><input type="text" name="search_engine" value="Search Name" class="search_init" /></th>
                            <th><input type="text" name="search_browser" value="Search User Name" class="search_init" /></th>
                            <th><input type="text" name="search_browser" value="Search Email" class="search_init" /></th>
                        </tr>
                    </thead>
                </table>
            </form>
        </div>
        <?php
	break;
}
?>